2017-05-30 13:04 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001721openmediavaultBugpublic2017-04-21 11:38
ReporterAlexanderMak 
Assigned Tovotdev 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSDebianOS Version8.7
Product Version 
Target VersionFixed in VersionErasmus (3.x) 
Summary0001721: Bug in filesystems view
DescriptionIn Filesystems view & in Dashboard view with filesystems panel on Error message pops in? containing following text:

Error #0: exception 'OMV\Json\SchemaValidationException' with message 'fsname: The value 'NULL' is not a string.' in /usr/share/php/openmediavault/json/schema.inc:366 Stack trace: #0 /usr/share/php/openmediavault/json/schema.inc(297): OMV\Json\Schema->validateString(NULL, Array, 'fsname') #1 /usr/share/php/openmediavault/json/schema.inc(624): OMV\Json\Schema->validateType(NULL, Array, 'fsname') 0000002 /usr/share/php/openmediavault/json/schema.inc(395): OMV\Json\Schema->checkProperties(Object(stdClass), Array, '') 0000003 /usr/share/php/openmediavault/json/schema.inc(285): OMV\Json\Schema->validateObject(Object(stdClass), Array, '') 0000004 /usr/share/php/openmediavault/json/schema.inc(257): OMV\Json\Schema->validateType(Object(stdClass), Array, '') 0000005 /usr/share/php/openmediavault/rpc/paramsvalidator.inc(59): OMV\Json\Schema->validate('{"fsname":null}') 0000006 /usr/share/php/openmediavault/rpc/serviceabstract.inc(170): OMV\Rpc\ParamsValidator->validate('{"fsname":null}') 0000007 /usr/share/openmediavault/engined/rpc/fstab.inc(171): OMV\Rpc\ServiceAbstract->validateMethodParams(Array, 'rpc.fstab.getby...') #8 [internal function]: OMVRpcServiceFsTab->getByFsName(Array, Array) 0000009 /usr/share/php/openmediavault/rpc/serviceabstract.inc(124): call_user_func_array(Array, Array) #10 /usr/share/php/openmediavault/rpc/rpc.inc(86): OMV\Rpc\ServiceAbstract->callMethod('getByFsName', Array, Array) #11 /usr/share/openmediavault/engined/rpc/filesystemmgmt.inc(112): OMV\Rpc\Rpc::call('FsTab', 'getByFsName', Array, Array) #12 [internal function]: OMVRpcServiceFileSystemMgmt->enumerateFilesystems(Array, Array) 0000013 /usr/share/php/openmediavault/rpc/serviceabstract.inc(124): call_user_func_array(Array, Array) #14 /usr/share/php/openmediavault/rpc/rpc.inc(86): OMV\Rpc\ServiceAbstract->callMethod('enumerateFilesy...', Array, Array) #15 /usr/sbin/omv-engined(536): OMV\Rpc\Rpc::call('FileSystemMgmt', 'enumerateFilesy...', Array, Array, 1) #16 {main}

Steps To ReproduceGo to File systems view or to Dashboard view with file systems panel enabled
Additional InformationI have an ZFS storage pool & ZFS plugin working.
In ZFS view all of the ZFS storages (pool & filesystems) are showing properly
Tagsdisk, erasmus
Product build
Attached Files

-Relationships
+Relationships

-Notes

~0004709

votdev (administrator)

The problem should be solved with openmediavault 3.0.71 and an adapted openmediavault-zfs plugin. Please reopen if the problem still exists.
+Notes

-Issue History
Date Modified Username Field Change
2017-04-15 18:39 AlexanderMak New Issue
2017-04-15 18:39 AlexanderMak Status new => assigned
2017-04-15 18:39 AlexanderMak Assigned To => votdev
2017-04-15 18:39 AlexanderMak Tag Attached: disk
2017-04-15 18:39 AlexanderMak Tag Attached: erasmus
2017-04-21 11:38 votdev Status assigned => resolved
2017-04-21 11:38 votdev Resolution open => fixed
2017-04-21 11:38 votdev Fixed in Version => Erasmus (3.x)
2017-04-21 11:38 votdev Note Added: 0004709
+Issue History